package controller

type UserController struct {
	baseController
}

const (
	Decimals         = 100000000000
	ParticipateValue = 1030
	ModBase          = 100
	CommunityLimit   = 1000

	CommonUser     = 0
	OfficialUser   = 1
	CommunityUsers = 2
)

var PerformanceLevel = [9]float64{10000 * Decimals, 30000 * Decimals, 100000 * Decimals, 300000 * Decimals,
	1000000 * Decimals, 200 * Decimals, 5000000 * Decimals, 10000000 * Decimals, 50000000 * Decimals}
var PerformanceRatio = [9]float64{0, 0.3, 0.6, 0.9, 0.12, 0.15, 0.17, 0.19, 0.2}
